// JavaScript Document
///jf noblet novembre 2001
window.history.forward(1);
var	ie4 = (document.all) && (!document.getElementById)
var	ns4 = document.layers
var dom = document.getElementById; //ie5 ou ns6
var net = (navigator.appName.substring(0,3) == "Net")

//fonction à placer dans <BODY ONLOAD="initnav()"   >
//function initnav() //précautions oratoires
//{ 	
if (ns4)
		{layerRef = "document.layers";v=".top=";h=".left="
	 	styleRef = "";ctn=".document.write('";ctn2="')";
	 	cro1="['";cro2="']";bgd=".bgColor";eg="";cro3=""
		}
	if (ie4)
		{layerRef = "document.all";cro3="";h=".pixelLeft=";v=".pixelTop="
	 	styleRef = ".style";ctn=".innerHTML";ctn2="";
		cro1="['";cro2="']";bgd=".backgroundColor";eg="="
		}
	if (dom)
		{layerRef ="document.getElementById";
		styleRef = ".style";ctn2="";eg="="
		cro1='("';h=".left=";v=".top="
		cro2='")';bgd=".backgroundColor";ctn=".innerHTML";
		cro3='"';//nécessaire pour encadrer une variable texte 
		}
		//calculatrice
function calcul(){
document.f2.tt7.value=eval(document.f2.tt6.value)}
		//points
var pt=eval(parent.haut.document.f1.t2.value); //note
var qu=0;//nbre de questions exactes
var va=0;//commutzateur
var pt2=0;//pts gagnés sur la question
var tf;
var rep1="?"; var rep2="?"; var rep3="?";var rep4="?"; var rep5="?"; var rep6="?";var rep6="?"; var rep8="?"; var rep9="?";
var q=eval(parent.haut.document.f1.t1.value)//#question

var repo1="diminue";
	var repo2="diminue";
	var repo3="ne change pas";
	var repo4="diminue";
	var repo5="25 m";
	var repo6="15 m";
	var repo7="1.67 m/s";
	var repo8="1 m/s";
//parent.haut.document.f1.t1.value=eval(q+1);
//chrono
var mis = 0;
var state2 = 0;

function startstop() {
if (state2 == 0) {
state2 = 1;
then2 = new Date();
then2.setTime(then2.getTime() - mis);
} else {
state2 = 0;
now2 = new Date();
mis = now2.getTime() - then2.getTime();
document.f1.T1.value = mis;
   }
}

function swreset() {
state2 = 0;
mis = 0;
document.f1.T1.value = mis;
}

function display() {
setTimeout("display();", 50);
if (state2 == 1)  {now2 = new Date();
mis = now2.getTime() - then2.getTime();
document.f1.T1.value = mis;
   }
}

window.onload=display
//fin chrono
//validation

function valider(){MM_preloadImages('x2.jpg');
	if(va==0)
	{
		
		rep5=document.f1.t1.value+" m";
		rep6=document.f1.t2.value+" m";
		rep7=document.f1.t3.value+" m/s";
		rep8=document.f1.t4.value+" m/s";
if (document.f1.r1[0].checked) {rep1="augmente"}
if (document.f1.r1[1].checked) {pt+=0.25;pt2+=0.25;qu+=1;rep1="diminue"}
if (document.f1.r1[2].checked) {rep1="ne change pas"}
if (document.f1.r2[0].checked) {rep2="augmente"}
if (document.f1.r2[1].checked) {pt+=0.25;pt2+=0.25;qu+=1;rep2="diminue"}
if (document.f1.r2[2].checked) {rep2="ne change pas"}	
if (document.f1.r3[0].checked) {rep3="augmente"}
if (document.f1.r3[1].checked) {rep3="diminue"}
if (document.f1.r3[2].checked) {pt+=0.25;pt2+=0.25;qu+=1;qu+=1;rep3="ne change pas"}
if (document.f1.r4[0].checked) {pt+=0.25;pt2+=0.25;qu+=1;qu+=1;rep4="augmente"}
if (document.f1.r4[1].checked) {rep4="diminue"}	
if (document.f1.r4[2].checked) {rep3="ne change pas"}	
if(document.f1.t1.value==25){pt+=0.25;pt2+=0.25;qu+=1;}
if(document.f1.t2.value==15){pt+=0.25;pt2+=0.25;qu+=1;}
if(document.f1.t3.value==1.67){pt+=0.25;pt2+=0.25;qu+=1;}
if(document.f1.t4.value==1){pt+=0.25;pt2+=0.25;qu+=1;}

	if(parent.haut.document.f1.tst16.value=="1"){alert("inutile d'essayer de tricher")}
	if(parent.haut.document.f1.tst16.value==""){	
	ptt=0.01*Math.round(pt*100);
	parent.haut.document.f1.t2.value=eval(ptt);
	ptt2=0.01*Math.round(pt2*100);
	parent.haut.document.f1.h2.value=eval(ptt2);
	parent.haut.document.f1.h3.value=temps2;
	duree1=eval(parent.haut.document.f1.h4.value);
	duree2=eval(duree1+s);
	parent.haut.document.f1.h5.value=duree2;
	parent.haut.document.f1.h4.value=s;
	parent.haut.document.f1.tst16.value="1"

	}
	va=1;}
	
	var contenu ="<div id='barre' style='position:relative; width:650px; height:22px; z-index:20; visibility: visible;'><table width='100%'  border='1' cellpadding='0' cellspacing='0' class='slt'><tr><td width='98%'>C O R R E C T I O N</td><td width='2%'><a href='#' onMouseOut='MM_swapImgRestore()' onMouseOver=MM_swapImage('Imagex','','x2.jpg',1) onclick='fermer()'><img src='x.jpg' alt='fermer' name='Imagex' width='21' height='21' border='0'></a></td></tr></table></div>"+"<table width=100%  border=0 cellspacing=0 cellpadding=0 class=rep><tr><td width=86><img src=artemis.gif width=86 height=178 alt='&#913;&#961;&#964;&#951;&#956;&#953;&#962;'></td><td width=40%><p>La fréquence ne change jamais quand on change de mileu. Seule la vitesse varie et donc la longueur d'onde. <br> La réfraction est une conséquence de la dispersion des ondes suivant la nature du milieu.</div></p></td>"+
 "<td width=60%><table width=100%  border=1 cellspacing=1 cellpadding=1  class=rep><tr><td>votre r&eacute;ponse </td>"+
 "<td>solution</td></tr><tr><td>"+rep1+"</td><td>"+repo1+"</td></tr><tr><td>"+rep2+"</td> <td>"+repo2+"</td></tr><tr><td>"+rep3+"</td> <td>"+repo3+"</tr><tr><td>"+rep4+"</td><td>"+repo4+"</td></tr><tr><td>"+rep5+"</td><td>"+repo5+"</td></tr><tr><td>"+rep6+"</td><td>"+repo6+"</td></tr><tr><td>"+rep7+"</td><td>"+repo7+"</td></tr><tr><td>"+rep8+"</td><td>"+repo8+"</td></tr><tr><td colspan=2><p>vous avez "+qu+" r&eacute;ponse(s) exacte(s), vous avez gagn&eacute; "+ptt2+" point(s)<br>"+temps+" </p></td></tr>"+
"<tr><td colspan=2><p>(vous pouvez aussi d&eacute;placer cette fen&ecirc;tre &agrave; la souris) </p></td></tr></table></td></tr></table> "

	
	eval(layerRef+cro1+"solu"+cro2+ctn+eg+cro3+contenu+cro3+ctn2); 
	 	if (ns4){eval(layerRef+cro1+"solu"+cro2+".document.close()");}
	 	eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'visible'");
		}
		
		
		function fermer(){
			eval(layerRef+cro1+"solu"+cro2+styleRef+".visibility = 'hidden'");
			eval(layerRef+cro1+"barre"+cro2+styleRef+".visibility = 'hidden'");
		}
		function fermer2(){
			eval(layerRef+cro1+"calc"+cro2+styleRef+".visibility = 'hidden'");
			
		}
		
		function calcu(){
			eval(layerRef+cro1+"calc"+cro2+styleRef+".visibility = 'visible'");
			
		}
		
//Disable right click script III- By Renigade (renigade@mediaone.net)
//For full source code, visit http://www.dynamicdrive.com

var message="";
///////////////////////////////////
function clickIE() {if (document.all) {(message);return false;}}
function clickNS(e) {if 
(document.layers||(document.getElementById&&!document.all)) {
if (e.which==2||e.which==3) {(message);return false;}}}
if (document.layers) 
{document.captureEvents(Event.MOUSEDOWN);document.onmousedown=clickNS;}
else{document.onmouseup=clickNS;document.oncontextmenu=clickIE;}

document.oncontextmenu=new Function("return false")

